<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:exsl="http://exslt.org/common"
                version="2.0">
    <xsl:output method="html" encoding="iso-8859-1" indent="yes"
                doctype-system="about:legacy-compat"
    />
     
 <!--
function rechne(liste) {
  if (nicht-leer(liste)) {
    summe = rechne(kopf-ab(liste));
    return summe + kopf(liste).anzahl * kopf(liste).preis;
  }
  else
    return 0;
}
-->

    <xsl:template name="total">
        <xsl:param name="liste" />
        <xsl:choose>
            <xsl:when test="$liste">
                <xsl:variable name="summe">
                    <xsl:call-template name="total">
                        <xsl:with-param name="liste" select="$liste[position() &gt; 1]" />
                    </xsl:call-template>
                </xsl:variable>
                <xsl:value-of select="$summe + $liste/preis * $liste/bestellmenge" />
            </xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="/warenkorb">
        
        <xsl:variable name="warenwert">
            <xsl:for-each select="position">
                <gesamtpreis>
                    <xsl:value-of select="bestellmenge*preis"/>
                </gesamtpreis>
            </xsl:for-each>
        </xsl:variable>

        <html>
            <body>
                <h1>Ihre Bestellung vom <xsl:value-of select="@rechnungsdatum"/></h1>
                           
                Sehr geehrter Herr 
                <xsl:value-of select="//warenkorb/kunde/vorname"/> 
                <xsl:text> </xsl:text> 
                <xsl:value-of select="//warenkorb/kunde/nachname"/>, Sie haben folgendes bestellt:


                <h1>so:                
                <xsl:value-of select="position[3]/preis" />
                </h1>
                    
                            
                <table border="1">
                    <tr>
                        <th>Pos.</th>
                        <th>Art.-Nr.</th>
                        <th>Autor</th>
                        <th>Titel</th>
                        <th>Aufl.</th>
                        <th>Verlag</th>
                        <th>Menge</th>
                        <th>Einzelpreis</th>
                        <th>Preis in EUR</th>
                    </tr>

                    <xsl:apply-templates select="position"/>

                    <tr>
                        <th colspan="8" align="left">TOTAL</th>
                        <td>
                            <xsl:call-template name="total">
                                <xsl:with-param name="liste" select="position"/>
                            </xsl:call-template>
                        </td>
                    </tr>
                    
                    <tr>
                        <th colspan="8" align="left">TOTAL</th>
                        <td>
                            <xsl:value-of 
                                select="format-number(sum(exsl:node-set($warenwert)/gesamtpreis),'0.00')"/>                     
                         <!--   <xsl:value-of 
                                select="sum(exsl:node-set(number(position/bestellmenge)*number(position/preis)))" />
                                -->
                        </td>
                    </tr>

                    
                </table>

            </body>
        </html>
        
    </xsl:template>
        
    <xsl:template match="position">
        
        <xsl:variable name="farbe">    
            <xsl:choose>
                <xsl:when test="(position() mod 2 = 0)">
                    #E0E0E0
                </xsl:when>
                <xsl:otherwise>
                    #FFFFD0
                </xsl:otherwise>
            </xsl:choose>
        </xsl:variable> 
    
        <tr style="background-color:{$farbe};">   
            <td>            
                <xsl:value-of select="position()"/>
            </td>
            <xsl:apply-templates/>
            <td>
                <xsl:value-of select="number(bestellmenge)*number(preis)"/>
            </td>
        </tr>

    </xsl:template>

    <xsl:template match="artikelNr|autor|titel|auflage|verlag|bestellmenge|preis">
        <td>
            <xsl:value-of select="text()"/>
        </td>
    </xsl:template>

</xsl:stylesheet>
