<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
    <xsl:output method="html" encoding="iso-8859-1" indent="yes"/>
   
    <xsl:template match="/spielplan">

        <table border="1">
            <tr>
                <th>Nr.</th>
                <th>Titel</th>
                <th>Autor</th>
                <th>Premiere</th>
                <th>Szenenfotos</th>
            </tr>
                      
            <xsl:apply-templates select="eintrag">
                <xsl:sort select="./premiere"/>
                <xsl:sort select="./titel"/>
            </xsl:apply-templates>
            
        </table>
        
    </xsl:template>

    <xsl:template match="eintrag">

<!--        <xsl:variable 
            name="foo" 
            select="if (position() mod 2 =0) then '#dd00dd' else '#dddddd'"/>
            -->
            
        <xsl:variable name="farbe">
        
            <xsl:choose>
                <xsl:when test="(position() mod 2 = 0)">
                    #33eedd
                </xsl:when>
                <xsl:otherwise>
                    #dddddd
                </xsl:otherwise>
            </xsl:choose>
        
        </xsl:variable> 
                      
        <tr style="background-color:{$farbe};">
          <td><xsl:value-of select="position()"/></td>
              <xsl:apply-templates select="titel|autor|premiere"/>
              <td><xsl:apply-templates select="szenenfotos"/></td>
        </tr>   

    </xsl:template>
   
   
   
    <xsl:template match="titel | autor">
        
        <td style="text-align:center">
            <xsl:value-of select="text()"/>
        </td>
    </xsl:template>
   
    <xsl:template match="premiere ">
        <td style="color:#aa0000; 
                   text-align:center;
                   vertical-align:middle;
                   font:italic;">
            <xsl:value-of select="text()"/>
        </td>
    </xsl:template>
       
    <xsl:template match="szenenfotos">
        <a href="{text()}"> Szenenfotos </a>
    </xsl:template>
</xsl:stylesheet>